Update a contact by ID
curl --request PATCH \
--url https://messenger-public-api.cogfy.com/contacts/{contactId} \
--header 'Content-Type: application/json' \
--header 'api-key: <api-key>' \
--data '
{
"firstName": "<string>",
"lastName": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"occupation": "<string>",
"gender": "<string>",
"birthdate": "2023-12-25",
"age": 123,
"notes": "<string>",
"customProperties": {
"Favorite Color": "Blue"
}
}
'import requests
url = "https://messenger-public-api.cogfy.com/contacts/{contactId}"
payload = {
"firstName": "<string>",
"lastName": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"occupation": "<string>",
"gender": "<string>",
"birthdate": "2023-12-25",
"age": 123,
"notes": "<string>",
"customProperties": { "Favorite Color": "Blue" }
}
headers = {
"api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
firstName: '<string>',
lastName: '<string>',
email: 'jsmith@example.com',
phone: '<string>',
occupation: '<string>',
gender: '<string>',
birthdate: '2023-12-25',
age: 123,
notes: '<string>',
customProperties: {'Favorite Color': 'Blue'}
})
};
fetch('https://messenger-public-api.cogfy.com/contacts/{contactId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"message": "<string>"
}Contacts
Update a contact by ID
Updates a specified contact.
PATCH
/
contacts
/
{contactId}
Update a contact by ID
Authorizations
Path Parameters
Body
application/json
Response
Contact updated successfully
⌘I